curl --request POST \ --url https://api.pawa-ai.com/v1/agents/create \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "TutorAI", "description": "TutorAI is an AI agent designed to assist students with their studies.", "instruction": "Teaching students on subjects ranging from form 0ne to form 4. Follow questions properly and do not answer any other questions apart from what you have been tasked to", "intents": [ "Be gentle", "Be detailed" ], "knowledgeBaseId": 159, "tools": [ { "type": "function", "function": { "name": "convert_usd_to_tsh", "description": "Converts an amount in USD to Tanzanian Shillings.", "strict": true, "parameters": { "type": "object", "properties": { "amount_usd": { "description": "Amount in USD", "type": "number" } }, "required": [ "amount_usd" ], "additionalProperties": false } } }, { "type": "pawa_tool", "pawa_tool": "web_search_tool" } ]}'
import requests
url = "https://api.pawa-ai.com/v1/agents/create"
payload = {
"name": "TutorAI",
"description": "TutorAI is an AI agent designed to assist students with their studies.",
"instruction": "Teaching students on subjects ranging from form 0ne to form 4. Follow questions properly and do not answer any other questions apart from what you have been tasked to",
"intents": ["Be gentle", "Be detailed"],
"knowledgeBaseId": 159,
"tools": [
{
"type": "function",
"function": {
"name": "convert_usd_to_tsh",
"description": "Converts an amount in USD to Tanzanian Shillings.",
"strict": True,
"parameters": {
"type": "object",
"properties": { "amount_usd": {
"description": "Amount in USD",
"type": "number"
} },
"required": ["amount_usd"],
"additionalProperties": False
}
}
},
{
"type": "pawa_tool",
"pawa_tool": "web_search_tool"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'TutorAI',
description: 'TutorAI is an AI agent designed to assist students with their studies.',
instruction: 'Teaching students on subjects ranging from form 0ne to form 4. Follow questions properly and do not answer any other questions apart from what you have been tasked to',
intents: ['Be gentle', 'Be detailed'],
knowledgeBaseId: 159,
tools: [
{
type: 'function',
function: {
name: 'convert_usd_to_tsh',
description: 'Converts an amount in USD to Tanzanian Shillings.',
strict: true,
parameters: {
type: 'object',
properties: {amount_usd: {description: 'Amount in USD', type: 'number'}},
required: ['amount_usd'],
additionalProperties: false
}
}
},
{type: 'pawa_tool', pawa_tool: 'web_search_tool'}
]
})
};
fetch('https://api.pawa-ai.com/v1/agents/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pawa-ai.com/v1/agents/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'TutorAI',
'description' => 'TutorAI is an AI agent designed to assist students with their studies.',
'instruction' => 'Teaching students on subjects ranging from form 0ne to form 4. Follow questions properly and do not answer any other questions apart from what you have been tasked to',
'intents' => [
'Be gentle',
'Be detailed'
],
'knowledgeBaseId' => 159,
'tools' => [
[
'type' => 'function',
'function' => [
'name' => 'convert_usd_to_tsh',
'description' => 'Converts an amount in USD to Tanzanian Shillings.',
'strict' => true,
'parameters' => [
'type' => 'object',
'properties' => [
'amount_usd' => [
'description' => 'Amount in USD',
'type' => 'number'
]
],
'required' => [
'amount_usd'
],
'additionalProperties' => false
]
]
],
[
'type' => 'pawa_tool',
'pawa_tool' => 'web_search_tool'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pawa-ai.com/v1/agents/create"
payload := strings.NewReader("{\n \"name\": \"TutorAI\",\n \"description\": \"TutorAI is an AI agent designed to assist students with their studies.\",\n \"instruction\": \"Teaching students on subjects ranging from form 0ne to form 4. Follow questions properly and do not answer any other questions apart from what you have been tasked to\",\n \"intents\": [\n \"Be gentle\",\n \"Be detailed\"\n ],\n \"knowledgeBaseId\": 159,\n \"tools\": [\n {\n \"type\": \"function\",\n \"function\": {\n \"name\": \"convert_usd_to_tsh\",\n \"description\": \"Converts an amount in USD to Tanzanian Shillings.\",\n \"strict\": true,\n \"parameters\": {\n \"type\": \"object\",\n \"properties\": {\n \"amount_usd\": {\n \"description\": \"Amount in USD\",\n \"type\": \"number\"\n }\n },\n \"required\": [\n \"amount_usd\"\n ],\n \"additionalProperties\": false\n }\n }\n },\n {\n \"type\": \"pawa_tool\",\n \"pawa_tool\": \"web_search_tool\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.pawa-ai.com/v1/agents/create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"TutorAI\",\n \"description\": \"TutorAI is an AI agent designed to assist students with their studies.\",\n \"instruction\": \"Teaching students on subjects ranging from form 0ne to form 4. Follow questions properly and do not answer any other questions apart from what you have been tasked to\",\n \"intents\": [\n \"Be gentle\",\n \"Be detailed\"\n ],\n \"knowledgeBaseId\": 159,\n \"tools\": [\n {\n \"type\": \"function\",\n \"function\": {\n \"name\": \"convert_usd_to_tsh\",\n \"description\": \"Converts an amount in USD to Tanzanian Shillings.\",\n \"strict\": true,\n \"parameters\": {\n \"type\": \"object\",\n \"properties\": {\n \"amount_usd\": {\n \"description\": \"Amount in USD\",\n \"type\": \"number\"\n }\n },\n \"required\": [\n \"amount_usd\"\n ],\n \"additionalProperties\": false\n }\n }\n },\n {\n \"type\": \"pawa_tool\",\n \"pawa_tool\": \"web_search_tool\"\n }\n ]\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.pawa-ai.com/v1/agents/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"TutorAI\",\n \"description\": \"TutorAI is an AI agent designed to assist students with their studies.\",\n \"instruction\": \"Teaching students on subjects ranging from form 0ne to form 4. Follow questions properly and do not answer any other questions apart from what you have been tasked to\",\n \"intents\": [\n \"Be gentle\",\n \"Be detailed\"\n ],\n \"knowledgeBaseId\": 159,\n \"tools\": [\n {\n \"type\": \"function\",\n \"function\": {\n \"name\": \"convert_usd_to_tsh\",\n \"description\": \"Converts an amount in USD to Tanzanian Shillings.\",\n \"strict\": true,\n \"parameters\": {\n \"type\": \"object\",\n \"properties\": {\n \"amount_usd\": {\n \"description\": \"Amount in USD\",\n \"type\": \"number\"\n }\n },\n \"required\": [\n \"amount_usd\"\n ],\n \"additionalProperties\": false\n }\n }\n },\n {\n \"type\": \"pawa_tool\",\n \"pawa_tool\": \"web_search_tool\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body
{ "success": true, "message": "Agent created successfully", "data": { "id": 0, "agentReferenceId": "67cf5354-89f0-8001-b038-b2645377b214", "name": "TutorAI", "description": "TutorAI is an AI agent designed to assist students with their studies.", "instruction": "Teaching students on subjects ranging from form one to form 4. Follow questions properly and do not answer any other questions apart from what you have been tasked to", "status": "ACTIVE", "createdAt": "2021-09-01T00:00:00.000Z", "updatedAt": "2021-09-01T00:00:00.000Z" }}
{
"success": false,
"message": "Internal server error"
}
Agents
Create Agents
This endpoint used to create the new custom agent to the Pawa AI Platform.
POST
/
agents
/
create
Create a new custom agent
curl --request POST \ --url https://api.pawa-ai.com/v1/agents/create \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "TutorAI", "description": "TutorAI is an AI agent designed to assist students with their studies.", "instruction": "Teaching students on subjects ranging from form 0ne to form 4. Follow questions properly and do not answer any other questions apart from what you have been tasked to", "intents": [ "Be gentle", "Be detailed" ], "knowledgeBaseId": 159, "tools": [ { "type": "function", "function": { "name": "convert_usd_to_tsh", "description": "Converts an amount in USD to Tanzanian Shillings.", "strict": true, "parameters": { "type": "object", "properties": { "amount_usd": { "description": "Amount in USD", "type": "number" } }, "required": [ "amount_usd" ], "additionalProperties": false } } }, { "type": "pawa_tool", "pawa_tool": "web_search_tool" } ]}'
import requests
url = "https://api.pawa-ai.com/v1/agents/create"
payload = {
"name": "TutorAI",
"description": "TutorAI is an AI agent designed to assist students with their studies.",
"instruction": "Teaching students on subjects ranging from form 0ne to form 4. Follow questions properly and do not answer any other questions apart from what you have been tasked to",
"intents": ["Be gentle", "Be detailed"],
"knowledgeBaseId": 159,
"tools": [
{
"type": "function",
"function": {
"name": "convert_usd_to_tsh",
"description": "Converts an amount in USD to Tanzanian Shillings.",
"strict": True,
"parameters": {
"type": "object",
"properties": { "amount_usd": {
"description": "Amount in USD",
"type": "number"
} },
"required": ["amount_usd"],
"additionalProperties": False
}
}
},
{
"type": "pawa_tool",
"pawa_tool": "web_search_tool"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'TutorAI',
description: 'TutorAI is an AI agent designed to assist students with their studies.',
instruction: 'Teaching students on subjects ranging from form 0ne to form 4. Follow questions properly and do not answer any other questions apart from what you have been tasked to',
intents: ['Be gentle', 'Be detailed'],
knowledgeBaseId: 159,
tools: [
{
type: 'function',
function: {
name: 'convert_usd_to_tsh',
description: 'Converts an amount in USD to Tanzanian Shillings.',
strict: true,
parameters: {
type: 'object',
properties: {amount_usd: {description: 'Amount in USD', type: 'number'}},
required: ['amount_usd'],
additionalProperties: false
}
}
},
{type: 'pawa_tool', pawa_tool: 'web_search_tool'}
]
})
};
fetch('https://api.pawa-ai.com/v1/agents/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pawa-ai.com/v1/agents/create",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'TutorAI',
'description' => 'TutorAI is an AI agent designed to assist students with their studies.',
'instruction' => 'Teaching students on subjects ranging from form 0ne to form 4. Follow questions properly and do not answer any other questions apart from what you have been tasked to',
'intents' => [
'Be gentle',
'Be detailed'
],
'knowledgeBaseId' => 159,
'tools' => [
[
'type' => 'function',
'function' => [
'name' => 'convert_usd_to_tsh',
'description' => 'Converts an amount in USD to Tanzanian Shillings.',
'strict' => true,
'parameters' => [
'type' => 'object',
'properties' => [
'amount_usd' => [
'description' => 'Amount in USD',
'type' => 'number'
]
],
'required' => [
'amount_usd'
],
'additionalProperties' => false
]
]
],
[
'type' => 'pawa_tool',
'pawa_tool' => 'web_search_tool'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pawa-ai.com/v1/agents/create"
payload := strings.NewReader("{\n \"name\": \"TutorAI\",\n \"description\": \"TutorAI is an AI agent designed to assist students with their studies.\",\n \"instruction\": \"Teaching students on subjects ranging from form 0ne to form 4. Follow questions properly and do not answer any other questions apart from what you have been tasked to\",\n \"intents\": [\n \"Be gentle\",\n \"Be detailed\"\n ],\n \"knowledgeBaseId\": 159,\n \"tools\": [\n {\n \"type\": \"function\",\n \"function\": {\n \"name\": \"convert_usd_to_tsh\",\n \"description\": \"Converts an amount in USD to Tanzanian Shillings.\",\n \"strict\": true,\n \"parameters\": {\n \"type\": \"object\",\n \"properties\": {\n \"amount_usd\": {\n \"description\": \"Amount in USD\",\n \"type\": \"number\"\n }\n },\n \"required\": [\n \"amount_usd\"\n ],\n \"additionalProperties\": false\n }\n }\n },\n {\n \"type\": \"pawa_tool\",\n \"pawa_tool\": \"web_search_tool\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://api.pawa-ai.com/v1/agents/create")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"TutorAI\",\n \"description\": \"TutorAI is an AI agent designed to assist students with their studies.\",\n \"instruction\": \"Teaching students on subjects ranging from form 0ne to form 4. Follow questions properly and do not answer any other questions apart from what you have been tasked to\",\n \"intents\": [\n \"Be gentle\",\n \"Be detailed\"\n ],\n \"knowledgeBaseId\": 159,\n \"tools\": [\n {\n \"type\": \"function\",\n \"function\": {\n \"name\": \"convert_usd_to_tsh\",\n \"description\": \"Converts an amount in USD to Tanzanian Shillings.\",\n \"strict\": true,\n \"parameters\": {\n \"type\": \"object\",\n \"properties\": {\n \"amount_usd\": {\n \"description\": \"Amount in USD\",\n \"type\": \"number\"\n }\n },\n \"required\": [\n \"amount_usd\"\n ],\n \"additionalProperties\": false\n }\n }\n },\n {\n \"type\": \"pawa_tool\",\n \"pawa_tool\": \"web_search_tool\"\n }\n ]\n}")
.asString();
require 'uri'
require 'net/http'
url = URI("https://api.pawa-ai.com/v1/agents/create")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"TutorAI\",\n \"description\": \"TutorAI is an AI agent designed to assist students with their studies.\",\n \"instruction\": \"Teaching students on subjects ranging from form 0ne to form 4. Follow questions properly and do not answer any other questions apart from what you have been tasked to\",\n \"intents\": [\n \"Be gentle\",\n \"Be detailed\"\n ],\n \"knowledgeBaseId\": 159,\n \"tools\": [\n {\n \"type\": \"function\",\n \"function\": {\n \"name\": \"convert_usd_to_tsh\",\n \"description\": \"Converts an amount in USD to Tanzanian Shillings.\",\n \"strict\": true,\n \"parameters\": {\n \"type\": \"object\",\n \"properties\": {\n \"amount_usd\": {\n \"description\": \"Amount in USD\",\n \"type\": \"number\"\n }\n },\n \"required\": [\n \"amount_usd\"\n ],\n \"additionalProperties\": false\n }\n }\n },\n {\n \"type\": \"pawa_tool\",\n \"pawa_tool\": \"web_search_tool\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body
{ "success": true, "message": "Agent created successfully", "data": { "id": 0, "agentReferenceId": "67cf5354-89f0-8001-b038-b2645377b214", "name": "TutorAI", "description": "TutorAI is an AI agent designed to assist students with their studies.", "instruction": "Teaching students on subjects ranging from form one to form 4. Follow questions properly and do not answer any other questions apart from what you have been tasked to", "status": "ACTIVE", "createdAt": "2021-09-01T00:00:00.000Z", "updatedAt": "2021-09-01T00:00:00.000Z" }}
"Teaching students on subjects ranging from form 0ne to form 4. Follow questions properly and do not answer any other questions apart from what you have been tasked to"
{"docsConfig":{"theme":"almond","$schema":"https://mintlify.com/docs.json","name":"Pawa AI Docs","colors":{"primary":"#FFA200","light":"#FFA200","dark":"#FFA200"},"logo":{"light":"https://mintcdn.com/sartifycoltd/ZmUMDiuhTZ-pD390/logo/pawa-logo-2.svg?fit=max\u0026auto=format\u0026n=ZmUMDiuhTZ-pD390\u0026q=85\u0026s=26ea97929a46ccbe6657a656b6447136","dark":"https://mintcdn.com/sartifycoltd/ZmUMDiuhTZ-pD390/logo/pawa-logo-2.svg?fit=max\u0026auto=format\u0026n=ZmUMDiuhTZ-pD390\u0026q=85\u0026s=26ea97929a46ccbe6657a656b6447136","href":"https://pawa-ai.com"},"favicon":"https://mintcdn.com/sartifycoltd/ZmUMDiuhTZ-pD390/favicon.svg?fit=max\u0026auto=format\u0026n=ZmUMDiuhTZ-pD390\u0026q=85\u0026s=ac15c194ae8d43ca1af971c0fcf9d7d4","navbar":{"links":[{"href":"https://api.whatsapp.com/send/?phone=255688067709\u0026text\u0026type=phone_number\u0026app_absent=0","label":"Get Support"}],"primary":{"type":"button","label":"Start Building","href":"https://builder.pawa-ai.com/dashboard"}},"footer":{"socials":{"website":"https://pawa-ai.com","github":"https://staging.pawa-ai.com/dev","linkedin":"https://staging.pawa-ai.com/dev"}},"fonts":{"family":"Nunito Sans"},"contextual":{"options":["copy","view","vscode"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"SandBox","icon":"play","href":"https://builder.pawa-ai.com/dashboard?page=sandbox"},{"anchor":"Get Your API Key","icon":"key","href":"https://builder.pawa-ai.com/dashboard?page=keys"},{"anchor":"Examples","icon":"github","href":"https://github.com/Sartify/pawa-ai-blueprints-chatbots"},{"anchor":"Blogs","icon":"book","href":"https://pawa-ai.com/blogs"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"sartifycoltd","hasAudioNarration":false,"actualSubdomain":"sartifycoltd","customDomains":["docs.pawa-ai.com"],"gitSource":{"type":"github","owner":"sartify","repo":"pawa-ai-apis-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a8f7ba2b8432d5d8af2b235","collectionId":"76767dc3-f97d-4521-b29e-726ce4c04d73","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6a8f7ba2b8432d5d8af2b235"},"entitlements":{},"buildId":"6a8f7ba2b8432d5d8af2b235","clientVersion":"0.0.3966","searchFilterCounts":[{"language":"default","tag":"Documentation","count":43},{"language":"default","tag":"API reference","count":41},{"language":"default","tag":"Capabilities","count":16},{"language":"default","tag":"Agents","count":13},{"language":"default","tag":"Transcribe","count":10},{"language":"default","tag":"Python SDK","count":10},{"language":"default","tag":"Getting Started","count":9},{"language":"default","tag":"Storage","count":8},{"language":"default","tag":"API","count":8},{"language":"default","tag":"Guides","count":6}]},"assistantConfig":{},"hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-v7-file-tree","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"pause-universal-search-reconcile","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"per-site-search-delta","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-private-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-nav-generations","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-agent-model-picker","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"isAtlas":false,"googleFontsInlined":true},"customCss":[{"filePath":"style.css","content":".h-6{height:2.5rem}.text-nowrap{display:none}.dark\\:bg-sky-500\\/10:is(.dark *){background-color:#000}.border-sky-500\\/20,.border-sky-500\\30 {border-color:#ffa200}.text-sky-500{--tw-text-opacity:1;color:#ffa200}.dark\\:border-sky-500\\/30:is(.dark *){border-color:#ffa200}.text-sky-900{color:#ffa200}.dark\\:text-sky-200 :is(.dark *){color:#ffa200}.max-w-xl{max-width:55rem}.dark\\:text-gray-400:is(.dark *){color:#afaeae}"}],"page":{"pagePath":"api-reference/endpoint/agents/create","slug":"/api-reference/endpoint/agents/create","pageMetadata":{"title":"Create Agents","openapi":"POST /agents/create","description":"This endpoint used to create the new custom agent to the Pawa AI Platform.","href":"/api-reference/endpoint/agents/create"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"This endpoint used to create the new custom agent to the Pawa AI Platform.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create Agents","openapi":"POST /agents/create","description":"This endpoint used to create the new custom agent to the Pawa AI Platform.","href":"/api-reference/endpoint/agents/create"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"This endpoint used to create the new custom agent to the Pawa AI Platform.","requestBody":"5c55dc4c-6307-4411-b7a4-ae116da4ee2d","responses":{"200":"1858e3b9-d04d-4a6c-bbea-ee246d4a2fb7","400":"ccee947d-ad26-485c-9d06-f7e25e8a212c","401":"70aa6e0e-22c1-4ca1-9e88-b0b713629082","403":"501db85b-7474-42fa-acde-54f2dee56bc9","404":"65617a53-cb2f-4473-8430-25e437d153f1","429":"a3b482be-4065-46fe-a14b-3360d39b7413","500":"414281f5-7319-47fe-ac8d-1ebf94c2283d"},"summary":"Create a new custom agent","tags":["Create Agents"],"method":"post","type":"path","servers":["26023518-7cd4-4c5f-8208-7ffe0de21022"],"security":["5698ca4f-e7c7-48a5-b604-bfc0a680bf8f"],"path":"/agents/create","baseUrlOptions":["https://api.pawa-ai.com/v1"],"title":"Create a new custom agent","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"The name of the agent","example":"TutorAI","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"description":{"type":"string","description":"The description about the agent","example":"TutorAI is an AI agent designed to assist students with their studies.","isRequired":true,"uniqueKey":"description","typeLabel":"string"},"instruction":{"type":"string","description":"What should the agent do","example":"Teaching students on subjects ranging from form 0ne to form 4. Follow questions properly and do not answer any other questions apart from what you have been tasked to","isRequired":true,"uniqueKey":"instruction","typeLabel":"string"},"intents":{"type":"array","description":"The list of intents, how the model should behave?","example":["Be gentle","Be detailed"],"isRequired":true,"uniqueKey":"intents","typeLabel":"array"},"knowledgeBaseId":{"type":"number","description":"The knowledge base ID to be used by the agent","example":159,"uniqueKey":"knowledgeBaseId","typeLabel":"number"},"tools":{"description":"Tools to provide to the model (as a JSON string). Eg. Built-in tools includes web_search_tool","example":[{"type":"function","function":{"name":"convert_usd_to_tsh","description":"Converts an amount in USD to Tanzanian Shillings.","strict":true,"parameters":{"type":"object","properties":{"amount_usd":{"description":"Amount in USD","type":"number"}},"required":["amount_usd"],"additionalProperties":false}}},{"type":"pawa_tool","pawa_tool":"web_search_tool"}],"type":"array","items":{"oneOf":[{"type":"object","title":"Custom Tools","required":["type","function"],"properties":{"type":{"type":"string","default":"function","example":"function","enum":["function"],"isRequired":true,"uniqueKey":"tools.items.[INDEX].oneOf.0.type","typeLabel":"enum\u003cstring>"},"function":{"type":"object","properties":{"name":{"type":"string","isRequired":true,"uniqueKey":"tools.items.[INDEX].oneOf.0.function.name","typeLabel":"string"},"description":{"type":"string","isRequired":true,"uniqueKey":"tools.items.[INDEX].oneOf.0.function.description","typeLabel":"string"},"strict":{"type":"boolean","isRequired":true,"uniqueKey":"tools.items.[INDEX].oneOf.0.function.strict","typeLabel":"boolean"},"parameters":{"type":"object","properties":{"type":{"type":"string","default":"object","example":"object","enum":["object"],"isRequired":true,"uniqueKey":"tools.items.[INDEX].oneOf.0.function.parameters.type","typeLabel":"enum\u003cstring>"},"properties":{"type":"object","description":"Properties for the parameters object","additionalProperties":{"type":"object","properties":{"description":{"type":"string","isRequired":true,"uniqueKey":"tools.items.[INDEX].oneOf.0.function.parameters.properties.additionalProperties.description","typeLabel":"string"},"type":{"type":"string","isRequired":true,"uniqueKey":"tools.items.[INDEX].oneOf.0.function.parameters.properties.additionalProperties.type","typeLabel":"string"}},"required":["description","type"],"uniqueKey":"tools.items.[INDEX].oneOf.0.function.parameters.properties.additionalProperties","typeLabel":"object"},"isRequired":true,"uniqueKey":"tools.items.[INDEX].oneOf.0.function.parameters.properties","typeLabel":"object"},"required":{"description":"Required parameter names","type":"array","items":{"type":"string","uniqueKey":"tools.items.[INDEX].oneOf.0.function.parameters.required.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"tools.items.[INDEX].oneOf.0.function.parameters.required","typeLabel":"string[]"},"additionalProperties":{"type":"boolean","description":"Allow additional properties","default":false,"isRequired":true,"uniqueKey":"tools.items.[INDEX].oneOf.0.function.parameters.\\additionalProperties","typeLabel":"boolean"}},"required":["type","properties","required","additionalProperties"],"isRequired":true,"uniqueKey":"tools.items.[INDEX].oneOf.0.function.parameters","typeLabel":"object"}},"required":["name","description","strict","parameters"],"isRequired":true,"uniqueKey":"tools.items.[INDEX].oneOf.0.function","typeLabel":"object"}},"uniqueKey":"tools.items.[INDEX].oneOf.0","typeLabel":"Custom Tools · object"},{"type":"object","title":"Built-In Tools","required":["type","pawa_tool"],"properties":{"type":{"type":"string","default":"pawa_tool","example":"pawa_tool","enum":["pawa_tool"],"isRequired":true,"uniqueKey":"tools.items.[INDEX].oneOf.1.type","typeLabel":"enum\u003cstring>"},"pawa_tool":{"type":"string","isRequired":true,"uniqueKey":"tools.items.[INDEX].oneOf.1.pawa_tool","typeLabel":"string"}},"uniqueKey":"tools.items.[INDEX].oneOf.1","typeLabel":"Built-In Tools · object"}],"uniqueKey":"tools.items.[INDEX]","typeLabel":"Custom Tools · object | Built-In Tools · object"},"uniqueKey":"tools","typeLabel":"(Custom Tools · object | Built-In Tools · object)[]"}},"required":["name","description","instruction","intents"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"name":"TutorAI","description":"TutorAI is an AI agent designed to assist students with their studies.","instruction":"Teaching students on subjects ranging from form 0ne to form 4. Follow questions properly and do not answer any other questions apart from what you have been tasked to","intents":["Be gentle","Be detailed"],"knowledgeBaseId":159,"tools":[{"type":"function","function":{"name":"convert_usd_to_tsh","description":"Converts an amount in USD to Tanzanian Shillings.","strict":true,"parameters":{"type":"object","properties":{"amount_usd":{"description":"Amount in USD","type":"number"}},"required":["amount_usd"],"additionalProperties":false}}},{"type":"pawa_tool","pawa_tool":"web_search_tool"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"1858e3b9-d04d-4a6c-bbea-ee246d4a2fb7":{"description":"Agent created successfully","content":{"application/json":{"schema":{"type":"object","properties":{"success":{"type":"boolean","example":true,"isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"message":{"type":"string","example":"Agent created successfully","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"data":{"type":"object","properties":{"id":{"type":"number","example":0,"isRequired":true,"uniqueKey":"data.id","typeLabel":"number"},"agentReferenceId":{"type":"string","example":"67cf5354-89f0-8001-b038-b2645377b214","isRequired":true,"uniqueKey":"data.agentReferenceId","typeLabel":"string"},"name":{"type":"string","example":"TutorAI","isRequired":true,"uniqueKey":"data.name","typeLabel":"string"},"description":{"type":"string","example":"TutorAI is an AI agent designed to assist students with their studies.","isRequired":true,"uniqueKey":"data.description","typeLabel":"string"},"instruction":{"type":"string","example":"Teaching students on subjects ranging from form one to form 4. Follow questions properly and do not answer any other questions apart from what you have been tasked to","isRequired":true,"uniqueKey":"data.instruction","typeLabel":"string"},"status":{"type":"string","description":"The status of the agent","example":"ACTIVE","isRequired":true,"uniqueKey":"data.status","typeLabel":"string"},"createdAt":{"type":"string","example":"2021-09-01T00:00:00.000Z","isRequired":true,"uniqueKey":"data.createdAt","typeLabel":"string"},"updatedAt":{"type":"string","example":"2021-09-01T00:00:00.000Z","isRequired":true,"uniqueKey":"data.updatedAt","typeLabel":"string"}},"required":["id","agentReferenceId","name","description","instruction","status","createdAt","updatedAt"],"isRequired":true,"uniqueKey":"data","typeLabel":"object"}},"required":["success","message","data"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"success":true,"message":"Agent created successfully","data":{"id":0,"agentReferenceId":"67cf5354-89f0-8001-b038-b2645377b214","name":"TutorAI","description":"TutorAI is an AI agent designed to assist students with their studies.","instruction":"Teaching students on subjects ranging from form one to form 4. Follow questions properly and do not answer any other questions apart from what you have been tasked to","status":"ACTIVE","createdAt":"2021-09-01T00:00:00.000Z","updatedAt":"2021-09-01T00:00:00.000Z"}}}},"exampleType":"generated"}},"exampleType":"generated"},"ccee947d-ad26-485c-9d06-f7e25e8a212c":{"description":"Bad Request","content":{"application/json":{"schema":{"required":["success","message"],"type":"object","properties":{"success":{"type":"boolean","example":false,"isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"message":{"type":"string","example":"An error occurred","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"badRequest":{"title":"badRequest","value":{"success":false,"message":"Invalid input provided"}}},"exampleType":"examples"}},"exampleType":"examples"},"70aa6e0e-22c1-4ca1-9e88-b0b713629082":{"description":"Unauthorized","content":{"application/json":{"schema":{"required":["success","message"],"type":"object","properties":{"success":{"type":"boolean","example":false,"isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"message":{"type":"string","example":"An error occurred","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"unauthorized":{"title":"unauthorized","value":{"success":false,"message":"Unauthorized access"}}},"exampleType":"examples"}},"exampleType":"examples"},"501db85b-7474-42fa-acde-54f2dee56bc9":{"description":"Forbidden","content":{"application/json":{"schema":{"required":["success","message"],"type":"object","properties":{"success":{"type":"boolean","example":false,"isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"message":{"type":"string","example":"An error occurred","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"forbidden":{"title":"forbidden","value":{"success":false,"message":"You do not have permission to access this resource"}}},"exampleType":"examples"}},"exampleType":"examples"},"65617a53-cb2f-4473-8430-25e437d153f1":{"description":"Not Found","content":{"application/json":{"schema":{"required":["success","message"],"type":"object","properties":{"success":{"type":"boolean","example":false,"isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"message":{"type":"string","example":"An error occurred","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"notFound":{"title":"notFound","value":{"success":false,"message":"Resource does not exist"}}},"exampleType":"examples"}},"exampleType":"examples"},"a3b482be-4065-46fe-a14b-3360d39b7413":{"description":"Too Many Requests","content":{"application/json":{"schema":{"required":["success","message"],"type":"object","properties":{"success":{"type":"boolean","example":false,"isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"message":{"type":"string","example":"An error occurred","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"tooManyRequests":{"title":"tooManyRequests","value":{"success":false,"message":"Rate limit exceeded. Please try again later."}}},"exampleType":"examples"}},"exampleType":"examples"},"414281f5-7319-47fe-ac8d-1ebf94c2283d":{"description":"Unexpected error","content":{"application/json":{"schema":{"required":["success","message"],"type":"object","properties":{"success":{"type":"boolean","example":false,"isRequired":true,"uniqueKey":"success","typeLabel":"boolean"},"message":{"type":"string","example":"An error occurred","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"serverError":{"title":"serverError","value":{"success":false,"message":"Internal server error"}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"5698ca4f-e7c7-48a5-b604-bfc0a680bf8f":{"bearerAuth":{"type":"http","scheme":"bearer","scopes":[]}}},"servers":{"26023518-7cd4-4c5f-8208-7ffe0de21022":{"url":"https://api.pawa-ai.com/v1","description":"Production Server"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"sartifycoltd","siteName":"Pawa AI Docs","title":"Create Agents - Pawa AI Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-09-25T11:15:57.529Z","originalFileLocation":"api-reference/endpoint/agents/create.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"This endpoint used to create the new custom agent to the Pawa AI Platform.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Pawa AI Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/sartifycoltd/tZ9ouTRT8ZY057fP/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/sartifycoltd/tZ9ouTRT8ZY057fP/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/sartifycoltd/tZ9ouTRT8ZY057fP/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/sartifycoltd/tZ9ouTRT8ZY057fP/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/sartifycoltd/tZ9ouTRT8ZY057fP/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/sartifycoltd/tZ9ouTRT8ZY057fP/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/sartifycoltd/tZ9ouTRT8ZY057fP/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/sartifycoltd/tZ9ouTRT8ZY057fP/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/sartifycoltd/tZ9ouTRT8ZY057fP/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Agents - Pawa AI Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"This endpoint used to create the new custom agent to the Pawa AI Platform.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Pawa AI Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.pawa-ai.com/api-reference/endpoint/agents/create\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://sartifycoltd.mintlify.app/_mintlify/api/og/v2?division=Agents\u0026amp;title=Create+Agents\u0026amp;description=This+endpoint+used+to+create+the+new+custom+agent+to+the+Pawa+AI+Platform.\u0026amp;theme=28703d20165e3e96c0905c3a\u0026amp;signature=1c0481e8ad61e16f5540656b835ac30f946e975a412daa2113e135547e1eb773\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Agents - Pawa AI Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"This endpoint used to create the new custom agent to the Pawa AI Platform.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://sartifycoltd.mintlify.app/_mintlify/api/og/v2?division=Agents\u0026amp;title=Create+Agents\u0026amp;description=This+endpoint+used+to+create+the+new+custom+agent+to+the+Pawa+AI+Platform.\u0026amp;theme=28703d20165e3e96c0905c3a\u0026amp;signature=1c0481e8ad61e16f5540656b835ac30f946e975a412daa2113e135547e1eb773\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/sartifycoltd/tZ9ouTRT8ZY057fP/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Pawa AI Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#FFA200\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.pawa-ai.com/api-reference/endpoint/agents/create\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/endpoint/agents/create.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.pawa-ai.com/#organization\",\"name\":\"Pawa AI Docs\",\"url\":\"https://docs.pawa-ai.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/sartifycoltd/ZmUMDiuhTZ-pD390/logo/pawa-logo-2.svg?fit=max\u0026auto=format\u0026n=ZmUMDiuhTZ-pD390\u0026q=85\u0026s=26ea97929a46ccbe6657a656b6447136\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.pawa-ai.com#website\",\"name\":\"Pawa AI Docs\",\"url\":\"https://docs.pawa-ai.com\",\"publisher\":{\"@id\":\"https://docs.pawa-ai.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.pawa-ai.com/api-reference/endpoint/agents/create#webpage\",\"url\":\"https://docs.pawa-ai.com/api-reference/endpoint/agents/create\",\"name\":\"Create Agents\",\"description\":\"This endpoint used to create the new custom agent to the Pawa AI Platform.\",\"dateModified\":\"2025-09-25T11:15:57.529Z\",\"isPartOf\":{\"@id\":\"https://docs.pawa-ai.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.pawa-ai.com/api-reference/endpoint/agents/create#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.pawa-ai.com/api-reference/endpoint/agents/create#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Agents\",\"item\":\"https://docs.pawa-ai.com/api-reference/endpoint/agents/introduction\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Create Agents\",\"item\":\"https://docs.pawa-ai.com/api-reference/endpoint/agents/create\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.pawa-ai.com/api-reference/endpoint/agents/create#apireference\",\"headline\":\"Create Agents\",\"name\":\"Create Agents\",\"description\":\"This endpoint used to create the new custom agent to the Pawa AI Platform.\",\"url\":\"https://docs.pawa-ai.com/api-reference/endpoint/agents/create\",\"mainEntityOfPage\":{\"@id\":\"https://docs.pawa-ai.com/api-reference/endpoint/agents/create#webpage\"},\"dateModified\":\"2025-09-25T11:15:57.529Z\",\"publisher\":{\"@id\":\"https://docs.pawa-ai.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.pawa-ai.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Pawa AI Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Pawa AI Docs","nav":{"global":{"anchors":[{"anchor":"SandBox","icon":"play","href":"https://builder.pawa-ai.com/dashboard?page=sandbox"},{"anchor":"Get Your API Key","icon":"key","href":"https://builder.pawa-ai.com/dashboard?page=keys"},{"anchor":"Examples","icon":"github","href":"https://github.com/Sartify/pawa-ai-blueprints-chatbots"},{"anchor":"Blogs","icon":"book","href":"https://pawa-ai.com/blogs"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":""}]},{"tab":"API reference","groups":[{"group":"Getting Started","pages":[{"title":"Introduction","href":"/api-reference/introduction"},{"title":"Authentication","href":"/api-reference/authentication"},{"title":"Limits","href":"/api-reference/limits"}]},{"group":"Models","icon":"box","pages":[{"title":"Introduction","href":"/api-reference/endpoint/models/introduction"},{"title":"Get All Models","openapi":"GET /models","href":"/api-reference/endpoint/models/list"},{"title":"Get A Single Model","openapi":"GET /models/{id}","href":"/api-reference/endpoint/models/single"}]},{"group":"Chat","icon":"message","pages":[{"title":"Introduction","href":"/api-reference/endpoint/chat/introduction"},{"title":"Send Request","openapi":"POST /chat/request","href":"/api-reference/endpoint/chat/request"}]},{"group":"Voice","icon":"microphone","pages":[{"title":"Introduction","href":"/api-reference/endpoint/voice/introduction"},{"title":"Convert Text to speech","openapi":"POST /voice/text-to-speech","href":"/api-reference/endpoint/voice/text-to-speech"},{"title":"Convert Speech to text","openapi":"POST /voice/speech-to-text","href":"/api-reference/endpoint/voice/speech-to-text"}]},{"group":"Agents","icon":"head-side-gear","pages":[{"title":"Introduction","description":"The Pawa API helps you create, manage, and interact with autonomous AI agents. Agents can reason, use tools, perform RAG, and collaborate with chat or external workflows.","href":"/api-reference/endpoint/agents/introduction"},{"title":"Create Agents","openapi":"POST /agents/create","href":"/api-reference/endpoint/agents/create"},{"title":"Agents Conversation","openapi":"POST /agents/chat/request","description":"This endpoint is used to receive agent chat request from user through API and return the answer.","href":"/api-reference/endpoint/agents/conversation"},{"title":"Agents Handoff","openapi":"POST /agents/chat/request","href":"/api-reference/endpoint/agents/handoff"},{"title":"Edit Agent","openapi":"PUT /agents/update/{id}","href":"/api-reference/endpoint/agents/update"},{"title":"Delete Agent","openapi":"DELETE /agents/delete/{id}","href":"/api-reference/endpoint/agents/delete"},{"title":"Get All Agents","openapi":"GET /agents/view","href":"/api-reference/endpoint/agents/view"},{"title":"Get Single Agent","openapi":"GET /agents/view/{id}","href":"/api-reference/endpoint/agents/view-single"}]},{"group":"Vectors","icon":"database","pages":[{"title":"Introduction","href":"/api-reference/endpoint/vectors/introduction"},{"title":"Create Embeddings","openapi":"POST /vectors/embedding","href":"/api-reference/endpoint/vectors/embeddings"}]},{"group":"Documents","icon":"file","pages":[{"title":"Introduction","href":"/api-reference/endpoint/documents/introduction"},{"title":"Parse Documents","openapi":"POST /documents/parse","href":"/api-reference/endpoint/documents/parse"}]},{"group":"Storage","icon":"server","pages":[{"title":"Introduction","href":"/api-reference/endpoint/storage/introduction"},{"title":"Create Knowledge Base","openapi":"POST /store/knowledge-base","href":"/api-reference/endpoint/storage/knowledge-base/create"},{"title":"Get All Knowledge Bases","openapi":"GET /store/knowledge-base","href":"/api-reference/endpoint/storage/knowledge-base/get-all"},{"title":"Semantic Retrieval","openapi":"POST /store/knowledge-base/semantic-retrieval","href":"/api-reference/endpoint/storage/knowledge-base/semantic-retrival"},{"title":"Get a Knowledge Base","openapi":"GET /store/knowledge-base/{id}","href":"/api-reference/endpoint/storage/knowledge-base/get-single"},{"title":"Delete a Knowledge Base","openapi":"DELETE /store/knowledge-base/{id}","href":"/api-reference/endpoint/storage/knowledge-base/delete"},{"title":"Edit a Knowledge Base","openapi":"PUT /store/knowledge-base/{id}","href":"/api-reference/endpoint/storage/knowledge-base/edit"},{"title":"Get Files of KB","openapi":"GET /store/files/knowledge-base/{id}","href":"/api-reference/endpoint/storage/knowledge-base/get-files"}]},{"group":"Transcribe","icon":"closed-captioning","pages":[{"title":"Introduction","href":"/api-reference/endpoint/transcribe/introduction"},{"title":"Create Workspace","openapi":"POST /transcribe/workspace","href":"/api-reference/endpoint/transcribe/create-workspace"},{"title":"Get All Workspaces","openapi":"GET /transcribe/workspace","href":"/api-reference/endpoint/transcribe/get-workspaces"},{"title":"Get A Single Workspace","openapi":"GET /transcribe/workspace/{id}","href":"/api-reference/endpoint/transcribe/get-workspace"},{"title":"Update Workspace","openapi":"PUT /transcribe/workspace/{id}","href":"/api-reference/endpoint/transcribe/update-workspace"},{"title":"Delete Workspace","openapi":"DELETE /transcribe/workspace/{id}","href":"/api-reference/endpoint/transcribe/delete-workspace"},{"title":"Upload Transcriptions","openapi":"POST /transcribe/workspace/{id}/transcriptions","href":"/api-reference/endpoint/transcribe/upload-transcriptions"},{"title":"Get Workspace Transcriptions","openapi":"GET /transcribe/workspace/{id}/transcriptions","href":"/api-reference/endpoint/transcribe/get-transcriptions"},{"title":"Update Transcription","openapi":"PATCH /transcribe/workspace/{id}/transcriptions/{transcriptionId}","href":"/api-reference/endpoint/transcribe/update-transcription"},{"title":"Delete Transcription","openapi":"DELETE /transcribe/workspace/{id}/transcriptions/{transcriptionId}","href":"/api-reference/endpoint/transcribe/delete-transcription"}]}]},{"tab":"Python SDK","pages":[{"title":"Python SDK","href":"/python-sdk/introduction"}]}]},"title":"Create Agents - Pawa AI Docs","buildId":"dpl_cadrRc5H9XQiJQbDFN5mcYRs2PAj","deploymentId":"dpl_cadrRc5H9XQiJQbDFN5mcYRs2PAj","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DKJwRUt2.js","utils-CWD_VS3u.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-oFjciODD.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-C76WsxC3.js","snippetPresets-DvPMxpX_.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CuNQfndH.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BVFpVUoF.js","shallow-t59Jg5Kr.js","getApiPlaygroundDisplay-C_JZ4amX.js","CodeSnippet-CLRDnx_h.js","CodeSnippets-C2myU4kc.js","Page-7TwLLapg.js","getPastedJson-B-JaVXw7.js","icon-BA-iDhH3.js","MethodPill-D4qZABFp.js","DuplicateIcon-THIDKO1O.js","createIcon-CYYJwgFd.js","DynamicMarkdown-UGQuxDKp.js","SectionHeading-jYELb23h.js","axios-vUo_bRtp.js","Markdown-DKsLa3wy.js","clsx-CefdjKz2.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BaREnp3o.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-sgx_0XzF.js"]}